/*
 * This metadata is used by the Sage platform.  Do not remove.
<snippetHeader xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" id="954d60e7-5069-40b7-a2f7-f5b44794699e">
 <assembly>Sage.SnippetLibrary.CSharp</assembly>
 <name>OnAfterDeleteStepPre</name>
 <references>
  <reference>
   <assemblyName>Sage.Entity.Interfaces.dll</assemblyName>
   <hintPath>%BASEBUILDPATH%\interfaces\bin\Sage.Entity.Interfaces.dll</hintPath>
  </reference>
  <reference>
   <assemblyName>Sage.Form.Interfaces.dll</assemblyName>
   <hintPath>%BASEBUILDPATH%\formInterfaces\bin\Sage.Form.Interfaces.dll</hintPath>
  </reference>
  <reference>
   <assemblyName>Sage.Platform.dll</assemblyName>
   <hintPath>%BASEBUILDPATH%\assemblies\Sage.Platform.dll</hintPath>
  </reference>
  <reference>
   <assemblyName>Sage.SalesLogix.API.dll</assemblyName>
  </reference>
 </references>
</snippetHeader>
*/


#region Usings
using System;
using Sage.Entity.Interfaces;
using Sage.Form.Interfaces;
using Sage.SalesLogix.API;
#endregion Usings

namespace Sage.BusinessRules.CodeSnippets
{
    public static partial class ContactBusinessRules
    {
        public static void OnAfterDeleteStepPre( IContact contact)
        {
            Sage.Entity.Interfaces.IDeleteHistoryLog objDelHisLog = Sage.Platform.EntityFactory.Create <Sage.Entity.Interfaces.IDeleteHistoryLog>();
                  
                 // objDelHisLog.ModifyUser = contact.ModifyUser;
                 // objDelHisLog.ModifyDate = contact.ModifyDate;
                  objDelHisLog.EntityID = contact.Id.ToString();
                  objDelHisLog.EntityType = "Contact";
                  
                  objDelHisLog.Save();

        }
    }
}
