/*
 * This metadata is used by the Sage platform.  Do not remove.
<snippetHeader xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" id="39af58f8-01d0-4197-822f-e38fd7ca9b1c">
 <assembly>Sage.SnippetLibrary.CSharp</assembly>
 <name>OnAfterDeleteStepPre</name>
 <references>
  <reference>
   <assemblyName>Sage.Entity.Interfaces.dll</assemblyName>
   <hintPath>%BASEBUILDPATH%\interfaces\bin\Sage.Entity.Interfaces.dll</hintPath>
  </reference>
  <reference>
   <assemblyName>Sage.Form.Interfaces.dll</assemblyName>
   <hintPath>%BASEBUILDPATH%\formInterfaces\bin\Sage.Form.Interfaces.dll</hintPath>
  </reference>
  <reference>
   <assemblyName>Sage.Platform.dll</assemblyName>
   <hintPath>%BASEBUILDPATH%\assemblies\Sage.Platform.dll</hintPath>
  </reference>
  <reference>
   <assemblyName>Sage.SalesLogix.API.dll</assemblyName>
  </reference>
 </references>
</snippetHeader>
*/


#region Usings
using System;
using Sage.Entity.Interfaces;
using Sage.Form.Interfaces;
using Sage.SalesLogix.API;
#endregion Usings

namespace Sage.BusinessRules.CodeSnippets
{
    public static partial class AccountBusinessRules
    {
        public static void OnAfterDeleteStepPre( IAccount account)
        {
            	Sage.Entity.Interfaces.IDeleteHistoryLog objDelHisLog = Sage.Platform.EntityFactory.Create <Sage.Entity.Interfaces.IDeleteHistoryLog>();
                  
                  //objDelHisLog.ModifyUser = account.ModifyUser;
                  //objDelHisLog.ModifyDate = account.ModifyDate;
                  objDelHisLog.EntityID = account.Id.ToString();
                  objDelHisLog.EntityType = "Account";
                  
                  objDelHisLog.Save();

        }
    }
}
